<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Objetos</title>
</head>
<body>
    

<script>




class Alumno {
    constructor(nombre, apellido, edad ) {
        this._nombre = nombre;
        this._apellido = apellido;
        this._edad = edad;
    }

    get nombre() {
        return this._nombre
    }

    set nombre(value) {
        this._nombre = value;
    }

    get apellido() {
        return this._apellido
    }

    set apellido(value) {
        this._apellido = value;
    }

    get nombreCompleto() {
        return `${this.nombre} ${this.apellido}`;
    }
    get mayor18() {
        if(this.edad > 18){
            return `Mayor de 18`;
        }else{
            return `Menor de 18`;
        }
    }
}

let alumno1 = new Alumno('Jose', 'Paredes');
console.log(alumno1.nombreCompleto);
// Jose Paredes
let alumno2 = new Alumno('Pablo', 'Pinto');
console.log(alumno2.nombreCompleto);
// Pablo Pinto
</script>
</body>
</html>
